Index: /palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_mask.f90	(revision 1326)
+++ /palm/trunk/SOURCE/data_output_mask.f90	(revision 1327)
@@ -75,5 +75,5 @@
                mask_j, mask_k, mask_size, mask_size_l, mask_start_l,           &
                max_masks, message_string, mid, netcdf_data_format,             &
-               netcdf_output, nz_do3d, simulated_time
+               nz_do3d, simulated_time
     
     USE cpulog,                                                                &
@@ -128,6 +128,5 @@
 !
 !-- Open output file.
-    IF ( netcdf_output  .AND.  ( myid == 0  .OR.  netcdf_data_format > 4 ) ) &
-    THEN
+    IF ( myid == 0  .OR.  netcdf_data_format > 4 )  THEN
        CALL check_open( 200+mid+av*max_masks )
     ENDIF 
@@ -146,6 +145,5 @@
 !-- Update the netCDF time axis.
     domask_time_count(mid,av) = domask_time_count(mid,av) + 1
-    IF ( netcdf_output  .AND.  ( myid == 0  .OR.  netcdf_data_format > 4 ) ) &
-    THEN
+    IF ( myid == 0  .OR.  netcdf_data_format > 4 )  THEN
        nc_stat = NF90_PUT_VAR( id_set_mask(mid,av), id_var_time_mask(mid,av), &
                                (/ simulated_time /),                          &
Index: /palm/trunk/SOURCE/data_output_profiles.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_profiles.f90	(revision 1326)
+++ /palm/trunk/SOURCE/data_output_profiles.f90	(revision 1327)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! -netcdf output queries
 !
 ! Former revisions:
@@ -65,5 +65,5 @@
     USE control_parameters,                                                    &
         ONLY:  average_count_pr, averaging_interval_pr, coupling_start_time,   &
-               dopr_n, dopr_time_count, netcdf_output, normalizing_region,     &
+               dopr_n, dopr_time_count, normalizing_region,                    &
                time_since_reference_point
 
@@ -122,7 +122,5 @@
 !
 !--    Open file for profile output in NetCDF format
-       IF ( netcdf_output )  THEN
-          CALL check_open( 104 )
-       ENDIF
+       CALL check_open( 104 )
 
 !
@@ -136,61 +134,59 @@
           IF ( .NOT. output_for_t0 ) THEN 
 
-             IF ( netcdf_output )  THEN
 #if defined( __netcdf )          
 !
-!--             Store initial time to time axis, but only if an output
-!--             is required for at least one of the profiles. The initial time
-!--             is either 0, or, in case of a prerun for coupled atmosphere-ocean
-!--             runs, has a negative value
-                DO  i = 1, dopr_n
-                IF ( dopr_initial_index(i) /= 0 )  THEN
-                   nc_stat = NF90_PUT_VAR( id_set_pr, id_var_time_pr,  &
-                                           (/ -coupling_start_time /), &
-                                           start = (/ 1 /), count = (/ 1 /) )
-                      CALL handle_netcdf_error( 'data_output_profiles', 329 )
-                      output_for_t0 = .TRUE.
-                      EXIT
-                   ENDIF
-                ENDDO
-
-!
-!--             Store normalization factors
-                nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(1), & ! wpt0
-                                     (/ hom_sum(nzb,18,normalizing_region) /), &
+!--          Store initial time to time axis, but only if an output
+!--          is required for at least one of the profiles. The initial time
+!--          is either 0, or, in case of a prerun for coupled atmosphere-ocean
+!--          runs, has a negative value
+             DO  i = 1, dopr_n
+             IF ( dopr_initial_index(i) /= 0 )  THEN
+                nc_stat = NF90_PUT_VAR( id_set_pr, id_var_time_pr,  &
+                                        (/ -coupling_start_time /), &
                                         start = (/ 1 /), count = (/ 1 /) )
-                CALL handle_netcdf_error( 'data_output_profiles', 330 )
-
-                nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(2), & ! ws2
-                           (/ hom_sum(nzb+8,pr_palm,normalizing_region)**2 /), &
-                                        start = (/ 1 /), count = (/ 1 /) )
-                CALL handle_netcdf_error( 'data_output_profiles', 331 )
-                nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(3), & ! tsw2
-                           (/ hom_sum(nzb+3,pr_palm,normalizing_region)**2 /), &
-                                     start = (/ 1 /), count = (/ 1 /) )
-                CALL handle_netcdf_error( 'data_output_profiles', 332 )
-                nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(4), & ! ws3
-                           (/ hom_sum(nzb+8,pr_palm,normalizing_region)**3 /), &
-                                        start = (/ 1 /), count = (/ 1 /) )
-                CALL handle_netcdf_error( 'data_output_profiles', 333 )
-
-                nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(5), &!ws2tsw
-                           (/ hom_sum(nzb+8,pr_palm,normalizing_region)**3 *   &
-                              hom_sum(nzb+3,pr_palm,normalizing_region)    /), &
-                                        start = (/ 1 /), count = (/ 1 /) )
-                CALL handle_netcdf_error( 'data_output_profiles', 334 )
-
-                nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(6), &!wstsw2
-                           (/ hom_sum(nzb+8,pr_palm,normalizing_region) *      &
-                              hom_sum(nzb+3,pr_palm,normalizing_region)**2 /), &
-                                        start = (/ 1 /), count = (/ 1 /) )
-                CALL handle_netcdf_error( 'data_output_profiles', 335 )
-
-                nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(7), & ! z_i
-                              (/ hom_sum(nzb+6,pr_palm,normalizing_region) /), &
-                                        start = (/ 1 /), count = (/ 1 /) )
-                CALL handle_netcdf_error( 'data_output_profiles', 336 )
+                   CALL handle_netcdf_error( 'data_output_profiles', 329 )
+                   output_for_t0 = .TRUE.
+                   EXIT
+                ENDIF
+             ENDDO
+
+!
+!--          Store normalization factors
+             nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(1), & ! wpt0
+                                  (/ hom_sum(nzb,18,normalizing_region) /), &
+                                     start = (/ 1 /), count = (/ 1 /) )
+             CALL handle_netcdf_error( 'data_output_profiles', 330 )
+
+             nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(2), & ! ws2
+                        (/ hom_sum(nzb+8,pr_palm,normalizing_region)**2 /), &
+                                     start = (/ 1 /), count = (/ 1 /) )
+             CALL handle_netcdf_error( 'data_output_profiles', 331 )
+             nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(3), & ! tsw2
+                        (/ hom_sum(nzb+3,pr_palm,normalizing_region)**2 /), &
+                                  start = (/ 1 /), count = (/ 1 /) )
+             CALL handle_netcdf_error( 'data_output_profiles', 332 )
+             nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(4), & ! ws3
+                        (/ hom_sum(nzb+8,pr_palm,normalizing_region)**3 /), &
+                                     start = (/ 1 /), count = (/ 1 /) )
+             CALL handle_netcdf_error( 'data_output_profiles', 333 )
+
+             nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(5), &!ws2tsw
+                        (/ hom_sum(nzb+8,pr_palm,normalizing_region)**3 *   &
+                           hom_sum(nzb+3,pr_palm,normalizing_region)    /), &
+                                     start = (/ 1 /), count = (/ 1 /) )
+             CALL handle_netcdf_error( 'data_output_profiles', 334 )
+
+             nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(6), &!wstsw2
+                        (/ hom_sum(nzb+8,pr_palm,normalizing_region) *      &
+                           hom_sum(nzb+3,pr_palm,normalizing_region)**2 /), &
+                                     start = (/ 1 /), count = (/ 1 /) )
+             CALL handle_netcdf_error( 'data_output_profiles', 335 )
+
+             nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(7), & ! z_i
+                           (/ hom_sum(nzb+6,pr_palm,normalizing_region) /), &
+                                     start = (/ 1 /), count = (/ 1 /) )
+             CALL handle_netcdf_error( 'data_output_profiles', 336 )
              
 #endif
-             ENDIF
 !
 !--          Loop over all 1D variables
@@ -203,15 +199,13 @@
                    DO  sr = 0, statistic_regions
 
-                      IF ( netcdf_output )  THEN
 #if defined( __netcdf )
 !
-!--                      Write data to netcdf file
-                         nc_stat = NF90_PUT_VAR( id_set_pr, id_var_dopr(i,sr),    &
-                                       hom(nzb:nzt+1,1,dopr_initial_index(i),sr), &
-                                                 start = (/ 1, 1 /),              &
-                                                 count = (/ nzt-nzb+2, 1 /) )
-                         CALL handle_netcdf_error( 'data_output_profiles', 337 )
+!--                   Write data to netcdf file
+                      nc_stat = NF90_PUT_VAR( id_set_pr, id_var_dopr(i,sr),    &
+                                    hom(nzb:nzt+1,1,dopr_initial_index(i),sr), &
+                                              start = (/ 1, 1 /),              &
+                                              count = (/ nzt-nzb+2, 1 /) )
+                      CALL handle_netcdf_error( 'data_output_profiles', 337 )
 #endif
-                      ENDIF
 
                    ENDDO
@@ -221,5 +215,5 @@
              ENDDO   ! Loop over dopr_n for initial profiles
 
-             IF ( netcdf_output  .AND.  output_for_t0 )  THEN
+             IF ( output_for_t0 )  THEN
                 dopr_time_count = dopr_time_count + 1
              ENDIF
@@ -228,62 +222,60 @@
        ENDIF   ! Initial profiles
 
-       IF ( netcdf_output )  THEN
 #if defined( __netcdf )
 
 !
-!--       Store time to time axis          
-          nc_stat = NF90_PUT_VAR( id_set_pr, id_var_time_pr,        &
-                                  (/ time_since_reference_point /), &
-                                  start = (/ dopr_time_count /),    &
-                                  count = (/ 1 /) )
-          CALL handle_netcdf_error( 'data_output_profiles', 338 )
-
-!
-!--       Store normalization factors
-          nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(1), &  ! wpt0
-                                  (/ hom_sum(nzb,18,normalizing_region) /), &
-                                  start = (/ dopr_time_count /),               &
-                                  count = (/ 1 /) )
-          CALL handle_netcdf_error( 'data_output_profiles', 339 )
-
-          nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(2), &  ! ws2
-                        (/ hom_sum(nzb+8,pr_palm,normalizing_region)**2 /), &
-                                  start = (/ dopr_time_count /),               &
-                                  count = (/ 1 /) )
-          CALL handle_netcdf_error( 'data_output_profiles', 340 )
-
-          nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(3), &  ! tsw2
-                        (/ hom_sum(nzb+3,pr_palm,normalizing_region)**2 /), &
-                                  start = (/ dopr_time_count /),               &
-                                  count = (/ 1 /) )
-          CALL handle_netcdf_error( 'data_output_profiles', 341 )
-
-          nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(4), &  ! ws3
-                        (/ hom_sum(nzb+8,pr_palm,normalizing_region)**3 /), &
-                                  start = (/ dopr_time_count /),               &
-                                  count = (/ 1 /) )
-          CALL handle_netcdf_error( 'data_output_profiles', 342 )
-
-          nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(5), &  ! ws2tsw
-                        (/ hom_sum(nzb+8,pr_palm,normalizing_region)**3 *   &
-                           hom_sum(nzb+3,pr_palm,normalizing_region)    /), &
-                                  start = (/ dopr_time_count /),               &
-                                  count = (/ 1 /) )
-          CALL handle_netcdf_error( 'data_output_profiles', 343 )
-         
-          nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(6), &  ! wstsw2
-                        (/ hom_sum(nzb+8,pr_palm,normalizing_region) *      &
-                           hom_sum(nzb+3,pr_palm,normalizing_region)**2 /), &
-                                  start = (/ dopr_time_count /),               &
-                                  count = (/ 1 /) )
-          CALL handle_netcdf_error( 'data_output_profiles', 344 )
-
-          nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(7), &  ! z_i
-                           (/ hom_sum(nzb+6,pr_palm,normalizing_region) /), &
-                                  start = (/ dopr_time_count /),               &
-                                  count = (/ 1 /) )
-          CALL handle_netcdf_error( 'data_output_profiles', 345 )
+!--    Store time to time axis
+       nc_stat = NF90_PUT_VAR( id_set_pr, id_var_time_pr,        &
+                               (/ time_since_reference_point /), &
+                               start = (/ dopr_time_count /),    &
+                               count = (/ 1 /) )
+       CALL handle_netcdf_error( 'data_output_profiles', 338 )
+
+!
+!--    Store normalization factors
+       nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(1), &  ! wpt0
+                               (/ hom_sum(nzb,18,normalizing_region) /), &
+                               start = (/ dopr_time_count /),               &
+                               count = (/ 1 /) )
+       CALL handle_netcdf_error( 'data_output_profiles', 339 )
+
+       nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(2), &  ! ws2
+                     (/ hom_sum(nzb+8,pr_palm,normalizing_region)**2 /), &
+                               start = (/ dopr_time_count /),               &
+                               count = (/ 1 /) )
+       CALL handle_netcdf_error( 'data_output_profiles', 340 )
+
+       nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(3), &  ! tsw2
+                     (/ hom_sum(nzb+3,pr_palm,normalizing_region)**2 /), &
+                               start = (/ dopr_time_count /),               &
+                               count = (/ 1 /) )
+       CALL handle_netcdf_error( 'data_output_profiles', 341 )
+
+       nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(4), &  ! ws3
+                     (/ hom_sum(nzb+8,pr_palm,normalizing_region)**3 /), &
+                               start = (/ dopr_time_count /),               &
+                               count = (/ 1 /) )
+       CALL handle_netcdf_error( 'data_output_profiles', 342 )
+
+       nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(5), &  ! ws2tsw
+                     (/ hom_sum(nzb+8,pr_palm,normalizing_region)**3 *   &
+                        hom_sum(nzb+3,pr_palm,normalizing_region)    /), &
+                               start = (/ dopr_time_count /),               &
+                               count = (/ 1 /) )
+       CALL handle_netcdf_error( 'data_output_profiles', 343 )
+
+       nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(6), &  ! wstsw2
+                     (/ hom_sum(nzb+8,pr_palm,normalizing_region) *      &
+                        hom_sum(nzb+3,pr_palm,normalizing_region)**2 /), &
+                               start = (/ dopr_time_count /),               &
+                               count = (/ 1 /) )
+       CALL handle_netcdf_error( 'data_output_profiles', 344 )
+
+       nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(7), &  ! z_i
+                        (/ hom_sum(nzb+6,pr_palm,normalizing_region) /), &
+                               start = (/ dopr_time_count /),               &
+                               count = (/ 1 /) )
+       CALL handle_netcdf_error( 'data_output_profiles', 345 )
 #endif
-       ENDIF
 
 !
@@ -295,15 +287,13 @@
           DO  sr = 0, statistic_regions
 
-             IF ( netcdf_output )  THEN
 #if defined( __netcdf )
 !
-!--             Write data to netcdf file
-                nc_stat = NF90_PUT_VAR( id_set_pr, id_var_dopr(i,sr),          &
-                                        hom_sum(nzb:nzt+1,dopr_index(i),sr),&
-                                        start = (/ 1, dopr_time_count /),      &
-                                        count = (/ nzt-nzb+2, 1 /) )
-                CALL handle_netcdf_error( 'data_output_profiles', 346 )
+!--          Write data to netcdf file
+             nc_stat = NF90_PUT_VAR( id_set_pr, id_var_dopr(i,sr),          &
+                                     hom_sum(nzb:nzt+1,dopr_index(i),sr),&
+                                     start = (/ 1, dopr_time_count /),      &
+                                     count = (/ nzt-nzb+2, 1 /) )
+             CALL handle_netcdf_error( 'data_output_profiles', 346 )
 #endif
-             ENDIF
 
           ENDDO
Index: /palm/trunk/SOURCE/data_output_ptseries.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_ptseries.f90	(revision 1326)
+++ /palm/trunk/SOURCE/data_output_ptseries.f90	(revision 1327)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! -netcdf output queries
 !
 ! Former revisions:
@@ -58,5 +58,5 @@
 
     USE control_parameters,                                                    &
-        ONLY:  dopts_time_count, netcdf_output, time_since_reference_point
+        ONLY:  dopts_time_count, time_since_reference_point
 
     USE cpulog,                                                                &
@@ -89,5 +89,5 @@
     CALL cpu_log( log_point(36), 'data_output_ptseries', 'start' )
 
-    IF ( myid == 0  .AND.  netcdf_output )  THEN
+    IF ( myid == 0 )  THEN
 !
 !--    Open file for time series output in NetCDF format
@@ -330,5 +330,5 @@
 !
 !-- Output particle time series quantities in NetCDF format
-    IF ( myid == 0  .AND.  netcdf_output )  THEN
+    IF ( myid == 0 )  THEN
        DO  j = 0, inum
           DO  i = 1, dopts_num
Index: /palm/trunk/SOURCE/data_output_spectra.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_spectra.f90	(revision 1326)
+++ /palm/trunk/SOURCE/data_output_spectra.f90	(revision 1327)
@@ -19,5 +19,6 @@
 !
 ! Current revisions:
-! -----------------
+! ------------------
+! -netcdf output queries
 !
 ! Former revisions:
@@ -62,5 +63,5 @@
     USE control_parameters,                                                    &
         ONLY:  average_count_sp, averaging_interval_sp, dosp_time_count,       &
-               message_string, netcdf_output, run_description_header,          &
+               message_string, run_description_header,                         &
                time_since_reference_point
 
@@ -99,5 +100,5 @@
 !
 !--    Open file for spectra output in NetCDF format
-       IF ( netcdf_output )  CALL check_open( 107 )
+       CALL check_open( 107 )
 
 !
@@ -161,15 +162,12 @@
 !
 !--       Output of spectra in NetCDF format
-          IF ( netcdf_output )  THEN
-!
-!--          Output of x-spectra
-             IF ( INDEX( spectra_direction(m), 'x' ) /= 0 ) THEN
-                CALL output_spectra_netcdf( m, 'x' )
-             ENDIF
-!
-!--          Output of y-spectra
-             IF ( INDEX( spectra_direction(m), 'y' ) /= 0 ) THEN
-                CALL output_spectra_netcdf( m, 'y' )
-             ENDIF
+!--       Output of x-spectra
+          IF ( INDEX( spectra_direction(m), 'x' ) /= 0 ) THEN
+             CALL output_spectra_netcdf( m, 'x' )
+          ENDIF
+!
+!--       Output of y-spectra
+          IF ( INDEX( spectra_direction(m), 'y' ) /= 0 ) THEN
+             CALL output_spectra_netcdf( m, 'y' )
           ENDIF
 
Index: /palm/trunk/SOURCE/data_output_tseries.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_tseries.f90	(revision 1326)
+++ /palm/trunk/SOURCE/data_output_tseries.f90	(revision 1327)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! -netcdf output queries
 !
 ! Former revisions:
@@ -55,5 +55,5 @@
 
     USE control_parameters,                                                    &
-        ONLY:  dots_time_count, netcdf_output, time_since_reference_point
+        ONLY:  dots_time_count, time_since_reference_point
 
     USE cpulog,                                                                &
@@ -90,17 +90,15 @@
 !
 !--    Open file for time series output in NetCDF format
-       IF ( netcdf_output )  THEN
-          dots_time_count = dots_time_count + 1
-          CALL check_open( 105 )
+       dots_time_count = dots_time_count + 1
+       CALL check_open( 105 )
 #if defined( __netcdf )
 !
-!--       Update the time series time axis
-          nc_stat = NF90_PUT_VAR( id_set_ts, id_var_time_ts,        &
-                                  (/ time_since_reference_point /), &
-                                  start = (/ dots_time_count /),    &
-                                  count = (/ 1 /) )
-          CALL handle_netcdf_error( 'data_output_tseries', 350 )
+!--    Update the time series time axis
+       nc_stat = NF90_PUT_VAR( id_set_ts, id_var_time_ts,        &
+                               (/ time_since_reference_point /), &
+                               start = (/ dots_time_count /),    &
+                               count = (/ 1 /) )
+       CALL handle_netcdf_error( 'data_output_tseries', 350 )
 #endif
-       ENDIF
 
 !
@@ -110,13 +108,11 @@
 
 #if defined( __netcdf )
-          IF ( netcdf_output )  THEN
-             DO  i = 1, dots_num
-                nc_stat = NF90_PUT_VAR( id_set_ts, id_var_dots(i,sr),  &
-                                        (/ ts_value(i,sr) /),          &
-                                        start = (/ dots_time_count /), &
-                                        count = (/ 1 /) )
-                CALL handle_netcdf_error( 'data_output_tseries', 351 )
-             ENDDO
-          ENDIF
+          DO  i = 1, dots_num
+             nc_stat = NF90_PUT_VAR( id_set_ts, id_var_dots(i,sr),  &
+                                     (/ ts_value(i,sr) /),          &
+                                     start = (/ dots_time_count /), &
+                                     count = (/ 1 /) )
+             CALL handle_netcdf_error( 'data_output_tseries', 351 )
+          ENDDO
 #endif
 
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 1326)
+++ /palm/trunk/SOURCE/header.f90	(revision 1327)
@@ -20,4 +20,6 @@
 ! Current revisions:
 ! -----------------
+! parts concerning iso2d and avs output removed,
+! -netcdf output queries
 !
 ! Former revisions:
@@ -815,7 +817,5 @@
 
        output_format = ''
-       IF ( netcdf_output )  THEN
-          output_format = output_format_netcdf
-       ENDIF
+       output_format = output_format_netcdf
        WRITE ( io, 344 )  output_format
 
@@ -866,6 +866,5 @@
        IF ( ( ( do2d_xy /= ''  .AND.  section(1,1) /= -9999 )  .OR.    &
               ( do2d_xz /= ''  .AND.  section(1,2) /= -9999 )  .OR.    &
-              ( do2d_yz /= ''  .AND.  section(1,3) /= -9999 ) )  .AND. &
-            ( netcdf_output  .OR.  iso2d_output ) )  THEN
+              ( do2d_yz /= ''  .AND.  section(1,3) /= -9999 ) ) )  THEN
 
           IF (  av == 0 )  THEN
@@ -882,14 +881,5 @@
 
           output_format = ''
-          IF ( netcdf_output )  THEN
-             output_format = output_format_netcdf
-          ENDIF
-          IF ( iso2d_output )  THEN
-             IF ( netcdf_output )  THEN
-                output_format = TRIM( output_format_netcdf ) // ' and iso2d'
-             ELSE
-                output_format = 'iso2d'
-             ENDIF
-          ENDIF
+          output_format = output_format_netcdf
           WRITE ( io, 344 )  output_format
 
@@ -1048,15 +1038,5 @@
           ENDIF
 
-          output_format = ''
-          IF ( netcdf_output )  THEN
-             output_format = output_format_netcdf
-          ENDIF
-          IF ( avs_output )  THEN
-             IF ( netcdf_output )  THEN
-                output_format = TRIM( output_format_netcdf ) // ' and avs'
-             ELSE
-                output_format = 'avs'
-             ENDIF
-          ENDIF
+          output_format = output_format_netcdf
           WRITE ( io, 344 )  output_format
 
@@ -1079,31 +1059,4 @@
           ELSE
              WRITE ( io, 353 )
-          ENDIF
-
-          IF ( do3d_compress )  THEN
-             do3d_chr = ''
-             i = 1
-             DO WHILE ( do3d(av,i) /= ' ' )
-
-                SELECT CASE ( do3d(av,i) )
-                   CASE ( 'u' )
-                      j = 1
-                   CASE ( 'v' )
-                      j = 2
-                   CASE ( 'w' )
-                      j = 3
-                   CASE ( 'p' )
-                      j = 4
-                   CASE ( 'pt' )
-                      j = 5
-                END SELECT
-                WRITE ( prec, '(I1)' )  plot_3d_precision(j)%precision
-                do3d_chr = TRIM( do3d_chr ) // ' ' // TRIM( do3d(av,i) ) // &
-                           ':' // prec // ','
-                i = i + 1
-
-             ENDDO
-             WRITE ( io, 338 )  do3d_chr
-
           ENDIF
 
@@ -1144,8 +1097,5 @@
              ENDIF
 
-             output_format = ' '
-             IF ( netcdf_output )  THEN
-                output_format = output_format_netcdf
-             ENDIF
+             output_format = output_format_netcdf
 !--          Parallel output not implemented for mask data, hence
 !--          output_format must be adjusted.
@@ -1202,8 +1152,5 @@
        WRITE ( io, 340 )
 
-       output_format = ''
-       IF ( netcdf_output )  THEN
-          output_format = output_format_netcdf
-       ENDIF
+       output_format = output_format_netcdf
        WRITE ( io, 344 )  output_format
        WRITE ( io, 341 )  dt_dots
@@ -1268,8 +1215,5 @@
        WRITE ( io, 370 )
 
-       output_format = ' '
-       IF ( netcdf_output )  THEN
-          output_format = output_format_netcdf
-       ENDIF
+       output_format = output_format_netcdf
        WRITE ( io, 344 )  output_format
        WRITE ( io, 371 )  dt_dosp
@@ -1640,13 +1584,8 @@
        IF ( dt_write_particle_data /= 9999999.9_wp )  THEN
           WRITE ( io, 485 )  dt_write_particle_data
-          output_format = ' '
-          IF ( netcdf_output )  THEN
-             IF ( netcdf_data_format > 1 )  THEN
-                output_format = 'netcdf (64 bit offset) and binary'
-             ELSE
-                output_format = 'netcdf and binary'
-             ENDIF
+          IF ( netcdf_data_format > 1 )  THEN
+             output_format = 'netcdf (64 bit offset) and binary'
           ELSE
-             output_format = 'binary'
+             output_format = 'netcdf and binary'
           ENDIF
           WRITE ( io, 344 )  output_format
@@ -1905,6 +1844,4 @@
             '       Output every             ',F8.2,' s  ',A/ &
             '       Upper output limit at    ',F8.2,' m  (GP ',I4,')'/)
-338 FORMAT ('       Compressed data output'/ &
-            '       Decimal precision: ',A/)
 339 FORMAT ('       No output during initial ',F8.2,' s')
 340 FORMAT (/'    Time series:')
